version: "3"
 
services:
  service_mysql:
    image: mysql:5.7
    environment:
      - MYSQL_DATABASE=root
      - MYSQL_ROOT_PASSWORD=passw0rd
      - MYSQL_USER=myuser
      - MYSQL_PASSWORD=passw0rd
    volumes:
      # Montamos un volumen para MySQL para no perder los datos de bd
      - ./volumenes/mysql:/var/lib/mysql
    expose:
      - 3306
    ports:
      - 3306:3306
      
   
  service_php:
    image: php:7-apache
    volumes:
      # Montamos nuestra web desde fuera en el directorio web del contenedor
      - ./www/:/var/www/html
    expose:
      - 80
    ports:
      - 80:80 #lo exponemos localmente en el 8080
    links: 
      - service_mysql #mapeamos la dependencia con nuestro otro servicio
